@import "src/assets/variable";

body {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  height: 100vh;
}

.hidden {
  display: none;
}

/* ===================================
    COLOR palet Margin Top
====================================== */

.text-white { color: white; }
.back-white { background-color: white; }
.text-black { color: black; }
.back-black { background-color: black; }
.text-red { color: red; }
.back-red { background-color: red; }

/* ===================================
    Param/edit Margin Top
====================================== */
.voffset  { margin-top: 2px; }
.voffset1 { margin-top: 5px; }
.voffset2 { margin-top: 10px; }
.voffset3 { margin-top: 15px; }
.voffset4 { margin-top: 30px; }
.voffset5 { margin-top: 40px; }
.voffset6 { margin-top: 60px; }
.voffset7 { margin-top: 80px; }
.voffset8 { margin-top: 100px; }
.voffset9 { margin-top: 150px; }


/* ===================================
    Param/edit Margin Top
====================================== */
.boffset  { margin-bottom: 2px; }
.boffset1 { margin-bottom: 5px; }
.boffset2 { margin-bottom: 10px; }
.boffset3 { margin-bottom: 15px; }
.boffset4 { margin-bottom: 30px; }
.boffset5 { margin-bottom: 40px; }
.boffset6 { margin-bottom: 60px; }
.boffset7 { margin-bottom: 80px; }
.boffset8 { margin-bottom: 100px; }
.boffset9 { margin-bottom: 150px; }


/* ===================================
    Param/edit Padding Left/Right
====================================== */
.pleft1 { padding-left: 10px;}
.pleft2 { padding-left: 20px;}
.pleft3 { padding-left: 30px;}
.pleft4 { padding-left: 40px;}
.pleft5 { padding-left: 50px;}
.pleft6 { padding-left: 60px;}

.rleft1 { padding-right: 10px;}
.rleft2 { padding-right: 20px;}
.rleft3 { padding-right: 30px;}
.rleft4 { padding-right: 40px;}
.rleft5 { padding-right: 50px;}
.rleft6 { padding-right: 60px;}

.ptop1 { padding-top: 10px;}
.ptop2 { padding-top: 20px;}
.ptop3 { padding-top: 30px;}
.ptop4 { padding-top: 40px;}
.ptop5 { padding-top: 50px;}
.ptop6 { padding-top: 60px;}

.pbottom1 { padding-bottom: 10px;}
.pbottom2 { padding-bottom: 20px;}
.pbottom3 { padding-bottom: 30px;}
.pbottom4 { padding-bottom: 40px;}
.pbottom5 { padding-bottom: 50px;}
.pbottom6 { padding-bottom: 60px;}


.ant-layout-header {
  height: auto;
  padding: 0;
  height: 64px;
  padding: 0px;
}

@media (max-width: 640px) {
  .ant-layout-header, .bottom-left{
    display: none;
  }
  .resume-title {
    width: 100% !important;
}
  .ant-layout-sider-zero-width-trigger {
    position: absolute;
    top: 64px;
    right: -36px;
    z-index: 1;
    width: 36px !important;
    height: 42px;
    color: #fff;
    font-size: 18px;
    line-height: 42px;
    text-align: center;
    background: #292d30 !important;
    border-radius: 0 4px 4px 0;
    cursor: pointer;
    -webkit-transition: background 0.3s ease;
    transition: background 0.3s ease;
  }
  nz-content {
    margin: 0 !important;
  }
}

/** ----!!----> 
START TOP IMAGE DESCRIPTION 
<----!!---- **/
nz-content {
  margin: 5px 16px 5px 16px;
}

.no-margin {
  margin: 0 0 15px 0 !important;
}
.inner-content {
  padding: 24px;
  background: #fff;
  min-height: 360px;
}

.background-img {
  width: 100%;
  height: 350px;
  clip-path: polygon(0 0, 100% 0, 100% 93%, 0% 100%);
}

.container {
  position: relative;
  text-align: center;
  color: white;
}

/** ----!!----> 
END TOP IMAGE DESCRIPTION 
<----!!---- **/

/** ----!!----> 
START MEDIA QUERIES
<----!!---- **/

@media (max-width: 640px) {
  * {
    box-sizing: border-box;
  }

  /* passer body (et tous les éléments de largeur fixe) en largeur automatique */
  html, body {
    overflow-x: hidden;
  }
  body {
    position: relative
  }

  .ant-layout-sider-zero-width-trigger {
    z-index: 999;
    position: fixed;
    top: 64px;
    left: 200px;
  }
  .ant-layout-sider-children {
    z-index: 999;
    width: 200px;
    position: fixed;
    overflow-y: scroll;
  }

  .ant-layout-sider.ant-layout-sider-zero-width.ant-layout-sider-collapsed {
    .ant-layout-sider-children {
      width: 0px;
      position: fixed;
    }
    .ant-layout-sider-zero-width-trigger {
      position: fixed;
      top: 64px;
      left: 0px;
    }
  }

  .second-body {
    background: url(assets/images/background_only.png);
    .footer2{
      color: rgba(0, 0, 0, 0.85);
      position: absolute;
      bottom: 0;
      font-weight: bold;
      margin-left: 5px;
      font-size: 13px;
    }
  }
  .vertical-logo {
    content: url(assets/logo/text.png);
    background-attachment: fixed;
    transform: rotate(-90deg);
    width: 359px;
    position: fixed;
    left: 95px;
    top: 290px;
  }
 
  .width-100 {
    width: 100%;
  }

  /* .ant-layout, .ant-layout * {
    box-sizing: border-box;
    width: 100%;
} */

  /* fixer une largeur maximale de 100% aux éléments potentiellement problématiques */

  img,
  table,
  td,
  blockquote,
  code,
  pre,
  textarea,
  input,
  iframe,
  object,
  embed,
  video {
    max-width: 100%;
  }

  /* conserver le ratio des images */

  img {
    height: auto;
  }

  /* gestion des mots longs */

  textarea,
  table,
  td,
  th,
  code,
  pre,
  samp {
    -webkit-hyphens: auto; /* césure propre */
    -moz-hyphens: auto;
    hyphens: auto;
    word-wrap: break-word; /* passage à la ligne forcé */
  }

  code,
  pre,
  samp {
    white-space: pre-wrap; /* passage à la ligne spécifique pour les éléments à châsse fixe */
  }

  /* masquer les éléments superflus */

  .hide_mobile {
    display: none !important;
  }

  /* Un message personnalisé */

  /* body:before {
    content: "Version mobile du site";
    display: block;
    text-align: center;
    font-style: italic;
    color: #777;
  } */
}

/** ----!!----> 
END MEDIA QUERIES
<----!!---- **/

/** ----!!----> 
START FADE IN & OUT ANIMATION
<----!!---- **/

nz-layout {
  -webkit-animation: fadein 1s; /* Safari, Chrome and Opera > 12.1 */
  -moz-animation: fadein 1s; /* Firefox < 16 */
  -ms-animation: fadein 1s; /* Internet Explorer */
  -o-animation: fadein 1s; /* Opera < 12.1 */
  animation: fadein 1s;
}

@keyframes fadein {
  from { opacity: 0; }
  to   { opacity: 1; }
}

/* Firefox < 16 */
@-moz-keyframes fadein {
  from { opacity: 0; }
  to   { opacity: 1; }
}

/* Safari, Chrome and Opera > 12.1 */
@-webkit-keyframes fadein {
  from { opacity: 0; }
  to   { opacity: 1; }
}

/* Internet Explorer */
@-ms-keyframes fadein {
  from { opacity: 0; }
  to   { opacity: 1; }
}

/* Opera < 12.1 */
@-o-keyframes fadein {
  from { opacity: 0; }
  to   { opacity: 1; }
}

/** ----!!----> 
END FADE IN & OUT ANIMATION
<----!!---- **/



/** ----!!----> 
START DECLARE VARIABLE
<----!!---- **/

.right {
  text-align: right !important;
}

.center {
  margin: 0 auto;
  float: none; 
  text-align: center;
}

.left {
  text-align: left;
}

/** ----!!----> 
END DECLARE VARIABLE
<----!!---- **/

.ant-pagination-item-active a, .ant-pagination-item-active {
  color: $gold-color;
  border-color: $gold-color;
}

.ant-pagination-item a:hover, .ant-pagination-item:hover {
  border-color: $gold-color;
  color: $gold-color;
}

.language-logo {
  object-fit: scale-down;
  width: 150px;
  height: 190px;
}

.info {
  margin: 35px auto auto auto;
  padding: 0 1.7rem;
  }

.info2 {
    margin: 35px auto 25px auto;
  }
   .info h1, .info2 h1 {
    margin: 0 0 0 0;
    padding: 0;
    color: #404954;
    font-size: 3rem;
    font-weight: 600;
    letter-spacing: -0.1rem;
  }

  .info .lead {
    color: #93a4aa;
    font-size: 1.5rem;
    font-weight: 200;
    padding-bottom: 25px;
  }

  .text-center {
    text-align: center;
}


/** ----!!----> 
START ANIMATION LOGO LANGUAGE
<----!!---- **/

.animation-logo img {
	-webkit-animation: flip-scale-up-hor 0.5s linear reverse ;
	        animation: flip-scale-up-hor 0.5s linear reverse ;
}

@-webkit-keyframes flip-scale-up-hor {
0% {
  -webkit-transform: scale(1) rotateX(0);
          transform: scale(1) rotateX(0);
}
50% {
  -webkit-transform: scale(2.5) rotateX(-90deg);
          transform: scale(2.5) rotateX(-90deg);
}
100% {
  -webkit-transform: scale(1) rotateX(-180deg);
          transform: scale(1) rotateX(-180deg);
}
}
@keyframes flip-scale-up-hor {
0% {
  -webkit-transform: scale(1) rotateX(0);
          transform: scale(1) rotateX(0);
}
50% {
  -webkit-transform: scale(2.5) rotateX(-90deg);
          transform: scale(2.5) rotateX(-90deg);
}
100% {
  -webkit-transform: scale(1) rotateX(-180deg);
          transform: scale(1) rotateX(-180deg);
}
}

/** ----!!----> 
END ANIMATION LOGO LANGUAGE
<----!!---- **/

.ant-breadcrumb-separator {
  margin: 0 8px;
  color: white;
}

nz-breadcrumb-item:last-child {
  color: white !important;
}

/** ----!!----> 
 MOBILE RESPONSIVE
<----!!---- **/

@media only screen and (max-device-width: 640px) {
  .hidden-mobile {
    display: none;
  }
}

@media only screen and (min-device-width: 640px) {
  .only-mobile {
    display: none;
  }
}

/** ----!!----> 
 MOBILE RESPONSIVE
<----!!---- **/


@media only screen and (max-device-width : 1024px) {
  .info {
    margin: 0px;
  }
  .info .lead {
    font-size: 1.3rem;
    padding-bottom: 15px;
  }
  /* .ant-radio-button-wrapper {
    margin: 6px
  } */
}

.ant-menu.ant-menu-dark .ant-menu-item-selected, .ant-menu-submenu-popup.ant-menu-dark .ant-menu-item-selected:focus {
  //color: goldenrod;
  //box-shadow:0 0 10px #9ecaed;
  border: 1px solid black;
  box-shadow:0 0 10px goldenrod;
  outline: none;
}



.ant-radio-button-wrapper-checked:not(.ant-radio-button-wrapper-disabled) {
  color: $gold-color;
  border-color: $gold-color;
  box-shadow: -1px 0 0 0 $gold-color;
}

.ant-radio-button-wrapper-checked:not(.ant-radio-button-wrapper-disabled):first-child {
  border-color: #b8860b;
  box-shadow: none !important;
}

.ant-radio-button-wrapper-checked:not(.ant-radio-button-wrapper-disabled):focus {
  outline: none;
}
.ant-radio-button-wrapper-checked:not(.ant-radio-button-wrapper-disabled):hover {
  color: $gold-color;
  border-color: #b8860b;
  box-shadow: -1px 0 0 0 $gold-color;
}

.ant-radio-button-wrapper:hover {
  color: $gold-color;
}

.ant-btn-primary {
  color: #fff;
  background-color: #2e3f58;
  border-color: #000c17;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.12);
  box-shadow: 0 2px 0 rgba(0, 0, 0, 0.045);
}


.ant-btn-primary:hover {
  color: $gold-color;
  background-color: #2e3f58;
  border-color: $gold-color;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.12);
}

/** MODAL CSS **/
.ant-modal-confirm-btns{
  display: none;
}